# Finix API Reference    Copy      - Copy for LLM          Copy page as Markdown for LLMs    - [View as Markdown\ \ Open this page as Markdown](https://docs.finix.com/api.md) - [Open in ChatGPT\ \ Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi.md+and+answer+questions+based+on+the+content.) - [Open in Claude\ \ Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi.md+and+answer+questions+based+on+the+content.) - Connect to Cursor          Install MCP server on Cursor    - Connect to VS Code          Install MCP server on VS Code

The Finix API is resource oriented, relying heavily on common REST principles. Our API uses JSON encoded requests and responses.

You will receive separate Sandbox and Live accounts, as well as corresponding API credentials to access the Finix API.

* * *

## [link  to section/Authentication](https://docs.finix.com/api/disputes/getdisputeevidence\#section/Authentication) Authentication

To communicate with the Finix API, you must authenticate your requests via HTTP Basic Authentication with a `username:password` combination, which you can get from your Finix Dashboard. If you do not have a Dashboard yet, you can test our APIs with the Sandbox credentials below.

| Parameter | Value |
| --- | --- |
| Sandbox Username | `USsRhsHYZGBPnQw8CByJyEQW` |
| Sandbox Password | `8a14c2f9-d94b-4c72-8f5c-a62908e5b30e` |

Request Format

```
curl "https://finix.sandbox-payments-api.com/" \
    -H "Content-Type: application/json" \
    -H "Finix-Version: 2022-02-01" \
    -u USsRhsHYZGBPnQw8CByJyEQW:8a14c2f9-d94b-4c72-8f5c-a62908e5b30e
```

* * *

## [link  to section/Environments](https://docs.finix.com/api/disputes/getdisputeevidence\#section/Environments) Environments

Finix provides two environments with distinct base URLs to make API requests.

1. A Sandbox environment for developing and testing your integration.
2. A Live environment for processing payments.

These environments are entirely separate and do not share API Credentials.

| Environment | Endpoint URL |
| --- | --- |
| Sandbox | `https://finix.sandbox-payments-api.com` |
| Live | `https://finix.live-payments-api.com` |

Live Access

To get access to the Live environment, please reach out to your Finix point-of-contact.

* * *

## [link  to section/HTTP-Codes-and-Errors](https://docs.finix.com/api/disputes/getdisputeevidence\#section/HTTP-Codes-and-Errors) HTTP Codes and Errors

Finix uses HTTP codes to communicate whether requests succeeded or failed. Requests to Finix's API return responses within less than one second.

However, communications between card networks and processors can increase response latency. Additionally, response latency for card-present devices can be higher depending on how quickly buyers complete the transaction on payment terminals.

Due of this, requests to the Finix API have a maximum timeout of 5 minutes.

For more details, see [Error Codes](https://docs.finix.com/additional-resources/developers/implementation-and-testing/error-codes/). Also, you can [test for specific errors and responses](https://docs.finix.com/additional-resources/developers/implementation-and-testing/testing-your-integration/).

| Code | Definition | Explanation |
| --- | --- | --- |
| `400` | Bad Request | We could not parse your request. Verify you are providing valid JSON. |
| `401` | Unauthorized | We could not authenticate your request. Verify your `username` and `password` are correct. |
| `402` | Upstream Processor Error | Errors caused by 3rd-party service(s). |
| `403` | Forbidden | Your credentials do not have the correct permissions to perform the request. |
| `404` | Not Found | We could not find the specified resource. |
| `405` | Method Not Allowed | The specified resource does not support the HTTP Method used to submit the request. |
| `406` | Not Acceptable | The server could accept the submitted request. Confirm how the request was formatted and submitted. |
| `409` | Conflict | The submitted request conflicts with the current state of the server. |
| `422` | Unprocessable Entity | The parameters were valid, but the request failed. Usually, the error involves misunderstanding of how to perform the request (e.g., creating a transfer with a seller that is not-yet-approved). |
| `500` | Internal Server Error | We had a problem with our server. Try again later. |

* * *

## [link  to section/Idempotent-Requests](https://docs.finix.com/api/disputes/getdisputeevidence\#section/Idempotent-Requests) Idempotent Requests

The `Authorization` and `Transfer` resources both have an `idempotency_id` field. Use this field to ensure the API Request is performed **_only once_**.

Why is this important? We've all experienced a checkout page that hangs on a request or payment, and feared that if we refresh or submit the payment again, we'd be charged twice.

Finix removes this ambiguity with the `idempotency_id`. You or the user can generate a unique ID that can be included as an `idempotency_id` with the usual request payload. If anyone attempts a request with the same `idempotency_id`, the response will raise an exception.

By passing an `idempotency_id` in the body of your requests, you can be rest assured that when you create an `Authorization` or `Transfer`, the user will be protected from potential network issues.

`idempotency_id` is available on the following three endpoints:

- `/transfers`
- `/authorizations`
- `/transfers/{id}/reversals`

\`idempotency\_id\` scope

`idempotency_id` checks against previous requests made on the same endpoint.

* * *

## [link  to section/Query-Parameters](https://docs.finix.com/api/disputes/getdisputeevidence\#section/Query-Parameters) Query Parameters

Every Finix resource (e.g., `Authorizations`, `Transfers`) can be listed and reviewed using `GET` requests. Additionally, every endpoint has query parameters available to help you filter the resources that are returned.

See the following example of how to query the `Transfers` endpoint for `Transfer` resources with `type: DEBIT`.

Query Parameter Example

```
curl "https://finix.sandbox-payments-api.com/transfers?type=DEBIT" \
    -H "Finix-Version: 2022-02-01" \
    -u USsRhsHYZGBPnQw8CByJyEQW:8a14c2f9-d94b-4c72-8f5c-a62908e5b30e
```

* * *

## [link  to section/Tags](https://docs.finix.com/api/disputes/getdisputeevidence\#section/Tags) Tags

Many Finix resources (e.g., `Authorization`, `Transfer`) let you include `tags` to add key-value metadata to your Finix API resources. For example, when creating a Transfer, you might include `customerId: Customer123` to tag the Transfer with your internal customer ID. You can update tags as many times as needed, as well as filter resources by tags.

Tags Example

```
{
    ...,
    "tags": {
        "card-type": "business card",
        "order_number": "H-1257",
        "customer_order_reference": "order1234",
        "item_type": "hardware",
        "vendor": "finix"
    }
}
```

The `tags` object accepts up to 50 `key: value` pairs to annotate resources with custom metadata.

- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500.

Special Characters

Finix does **_not_** allow special characters on tags (e.g., `\`, `,`, `"`, `'`)

* * *

## [link  to section/Versioning](https://docs.finix.com/api/disputes/getdisputeevidence\#section/Versioning) Versioning

As Finix improves our products and features, we will make changes to our APIs. When breaking changes are made to Finix's API, we may release a new dated API version.

The API version your requests use controls how API responses and webhooks behave (for example, the values you see in responses and the parameters you can include in requests). For more information, see [Versioning](https://docs.finix.com/additional-resources/developers/authentication-and-api-basics/versioning/).

* * *

## [link  to section/Postman-Collection](https://docs.finix.com/api/disputes/getdisputeevidence\#section/Postman-Collection) Postman Collection

Finix has a Postman collection to help in your development. You can fork it using the button below.

Overview

URL
[https://finix.com](/content/site-root.html)

Finix
[support@finix.com](mailto:support@finix.com)

Languages

cURL

Servers

Sandbox server

https://finix.sandbox-payments-api.com

## [link to Authorizations](https://docs.finix.com/api/authorizations) Authorizations

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/authorizations.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

An `Authorization` (also known as a card hold) reserves a specific amount on a card to be captured (i.e. debited) at a later date, usually within seven days. When an `Authorization` is captured it produces a `Transfer` resource.

**Related Guides:**

- [Auth and Captures](https://docs.finix.com/guides/online-payments/payment-features/auth-and-captures)
- [Level 2 and 3 Processing](https://docs.finix.com/guides/online-payments/payment-features/level-2-level-3-processing/)
- [POS Integration](https://docs.finix.com/guides/in-person-payments/building-your-integration/pos-integration)
- [Buyer Charges](https://docs.finix.com/guides/online-payments/payment-features/buyer-charges/)

Operations

post

/authorizations

get

/authorizations

get

/authorizations/{authorization\_id}

put

/authorizations/{authorization\_id}

put

/authorizations/{authorization\_id\_void\_to}

\+ Show

## [link to Compliance Forms](https://docs.finix.com/api/compliance-forms) Compliance Forms

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/compliance-forms.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fcompliance-forms.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fcompliance-forms.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

To process payments, your Merchants must validate their compliance with PCI DSS requirements annually. To do this, your Merchants must attest to PCI Self-Assessment Questionnaire (SAQ) compliance forms.

**Related Guides:**

- [Managing PCI Compliance](https://docs.finix.com/guides/managing-operations/security-compliance/managing-pci-compliance)
- [PCI DSS Compliance](https://docs.finix.com/guides/managing-operations/security-compliance/pci-dss-compliance)

Operations

get

/compliance\_forms/{compliance\_form\_id}

put

/compliance\_forms/{compliance\_form\_id}

get

/compliance\_forms

\+ Show

## [link to Devices](https://docs.finix.com/api/devices) Devices

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/devices.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdevices.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdevices.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

A `Device` resource represents a Point-of-Sale terminal. Devices are used for [In-Person transactions](https://docs.finix.com/guides/in-person-payments).

**Related Guides:**

- [In-Person Payments](https://docs.finix.com/guides/in-person-payments)

Operations

get

/devices

get

/devices/{device\_id}

put

/devices/{device\_id}

get

/devices/{device\_id\_connection}

get

/devices/{device\_id}/device\_metrics

post

/merchants/{merchant\_id}/devices

\+ Show

## [link to Disputes](https://docs.finix.com/api/disputes) Disputes

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/disputes.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

Disputes, also known as chargebacks, are customer-disputed charges. A core part of the dispute lifecycle is the ability for a `Merchant` to upload evidence supporting their side.

**Related Guides:**

- [Managing Disputes](https://docs.finix.com/guides/after-the-payment/disputes)

Operations

get

/disputes

get

/disputes/{dispute\_id}

put

/disputes/{dispute\_id}

post

/disputes/{dispute\_id}/evidence

get

/disputes/{dispute\_id}/evidence

get

/disputes/{dispute\_id}/evidence/{evidence\_id}

put

/disputes/{dispute\_id}/evidence/{evidence\_id}

delete

/disputes/{dispute\_id}/evidence/{evidence\_id}

Show4more...

## [link to List Disputes](https://docs.finix.com/api/disputes/listdisputes) List Disputes

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/disputes/listdisputes.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Flistdisputes.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Flistdisputes.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /disputes/listdisputes\#disputes/listdisputes/request](https://docs.finix.com/api/disputes/listdisputes\#disputes/listdisputes/request) Request

Retrieve a list of `Dispute` resources.

SecurityView security details

BasicAuth

[link to /disputes/listdisputes#disputes/listdisputes/request/query](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/request/query) Query

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=adjustment_transfer_id](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=adjustment_transfer_id) adjustment\_transfer\_id _string_

Filter by the ID of the adjustment `Transfer`.

**Note**: If included, all other filter parameters are ignored.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=application_id](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=application_id) application\_id _string_

Filter by `Application` ID.

Example: application\_id=APc9vhYcPsRuTSpKD9KpMtPe

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount) amount _integer_

Filter by an amount equal to the given value.

Example: amount=100

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount.gt](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount.gt) amount.gt _integer_

Filter by an amount greater than.

Example: amount.gt=100

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount.gte](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount.gte) amount.gte _integer_

Filter by an amount greater than or equal.

Example: amount.gte=100

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount.lt](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount.lt) amount.lt _integer_

Filter by an amount less than.

Example: amount.lt=100

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount.lte](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=amount.lte) amount.lte _integer_

Filter by an amount less than or equal.

Example: amount.lte=100

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=after_cursor](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=after_cursor) after\_cursor _string_

Return every resource created after the cursor value.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=before_cursor](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=before_cursor) before\_cursor _string_

Return every resource created before the cursor value.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=created_at.gte](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=created_at.gte) created\_at.gte _string_ _(date-time)_

Filter where `created_at` is after the given date.

Example: created\_at.gte=2022-09-27T11:21:23

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=created_at.lte](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=created_at.lte) created\_at.lte _string_ _(date-time)_

Filter where `created_at` is before the given date.

Example: created\_at.lte=2026-09-27T11:21:23

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=buyer_identity_first_name](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=buyer_identity_first_name) buyer\_identity\_first\_name _string_

Filter by buyer's first name.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=buyer_identity_last_name](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=buyer_identity_last_name) buyer\_identity\_last\_name _string_

Filter by buyer's last name.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=buyer_business_name](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=buyer_business_name) buyer\_business\_name _string_

Filter by the `business_name` of the buyer's `Identity`.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=buyer_doing_business_as](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=buyer_doing_business_as) buyer\_doing\_business\_as _string_

Filter by the `doing_business_as` of the buyer's `Identity`.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_bin](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_bin) instrument\_bin _string_

Filter by the Bank Identification Number (BIN). The BIN is the first 6 digits of the masked account number.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_brand_type](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_brand_type) instrument\_brand\_type _string_

Filter by the card brand used.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_card_last4](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_card_last4) instrument\_card\_last4 _string_

Filter by the last 4 digits of the card used.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_card_type](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_card_type) instrument\_card\_type _string_

Filter by the card type.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_fingerprint](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_fingerprint) instrument\_fingerprint _string_

Filter by the fingerprint of the `Payment Instrument`.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_name](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_name) instrument\_name _string_

Filter by the name of the `Payment Instrument`.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_type](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=instrument_type) instrument\_type _string_

Filter by `Payment Instrument` type.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=limit](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=limit) limit _integer_ _<= 100_

The numbers of items to return.

Example: limit=10

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_identity_id](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_identity_id) merchant\_identity\_id _string_

Filter by the ID of the `Identity` used by the `Merchant`.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_identity_name](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_identity_name) merchant\_identity\_name _string_

Filter by the name used by the `Merchant`.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_identity_name.like](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_identity_name.like) merchant\_identity\_name.like _string_

Filter by the name used by the `Merchant`. Use this when searching with only partial name values.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_id](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_id) merchant\_id _string_

Filter by the ID of the `Merchant`.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_mid](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=merchant_mid) merchant\_mid _string_

Filter by the MID of the `Merchant`.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=names](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=names) names _string_

Filter by the name used by the `Merchant`, the buyer's first and last name, `business_name`, and `doing_business_as` used by `Identities` when role is `BUYER`.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=names.like](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=names.like) names.like _string_

Filter by the name used by the `Merchant`, the buyer's first and last name, `business_name`, and `doing_business_as` used by `Identities` when role is `BUYER`. Use this when searching with only partial values.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=response_state](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=response_state) response\_state _string_

Filter by the `response_state` of the `Dispute`.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=respond_by.lte](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=respond_by.lte) respond\_by.lte _string_

Filter where `respond_by` is before the given date.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=respond_by.gte](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=respond_by.gte) respond\_by.gte _string_

Filter where `respond_by` is after the given date.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=tags](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=tags) tags _string_

Filter by the `key` or `value` of tags.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=tags.like](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=tags.like) tags.like _string_

Filter by the `key` or `value` of tags. Use this when searching with only partial values.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=tags.key](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=tags.key) tags.key _string_

Filter by the tag's key. For more information, see [Tags](https://docs.finix.com/api/section/tags).

Example: tags.key=card\_type

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=tags.value](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=tags.value) tags.value _string_

Filter by the tag's value. For more information, see [Tags](https://docs.finix.com/api/section/tags).

Example: tags.value=business\_card

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=transfer_id](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=transfer_id) transfer\_id _string_

Filter by the ID of the `Transfer` that's being disputed.

**Note**: If included, all other filter parameters are ignored.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=state](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=state) state _string_

Filter by the state of the `Dispute`.

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=updated_at.gte](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=updated_at.gte) updated\_at.gte _string_ _(date-time)_

Filter where `updated_at` is after the given date.

Example: updated\_at.gte=2022-09-27T11:21:23

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=updated_at.lte](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=query&path=updated_at.lte) updated\_at.lte _string_ _(date-time)_

Filter where `updated_at` is before the given date.

Example: updated\_at.lte=2026-09-27T11:21:23

[link to /disputes/listdisputes#disputes/listdisputes/request/header](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/request/header) Headers

[link to /disputes/listdisputes#disputes/listdisputes/t=request&in=header&path=finix-version](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=request&in=header&path=finix-version) Finix-Version _string_

Specify the API version of your request. For more details, see [Versioning](https://docs.finix.com/additional-resources/developers/authentication-and-api-basics/versioning).

Default 2022-02-01

Example: 2022-02-01

get

/disputes

- Sandbox server
https://finix.sandbox-payments-api.com/disputes

curl

```
curl "https://finix.sandbox-payments-api.com/disputes" \
-H "Finix-Version: 2022-02-01" \
-u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda
```

#### [link to /disputes/listdisputes\#disputes/listdisputes/response&c=200](https://docs.finix.com/api/disputes/listdisputes\#disputes/listdisputes/response&c=200) Responses

1. 200
2. 401
3. 403
4. 406
5. 422

Expand all

List of `Dispute` resources

[link to /disputes/listdisputes#disputes/listdisputes/response&c=200/headers](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/response&c=200/headers) Headers

[link to /disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=date](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=date) date _string_

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

[link to /disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=finix-apiuser-role](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=finix-apiuser-role) finix-apiuser-role _string_

This response header indicating the role of the user who sent the API request.

Enum"ROLE\_PLATFORM""ROLE\_PARTNER""ROLE\_MERCHANT"

Example: "ROLE\_PARTNER"

[link to /disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=x-request-id](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=x-request-id) x-request-id _string_

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

[link to /disputes/listdisputes#disputes/listdisputes/response&c=200/body](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/response&c=200/body) Bodyapplication/json

[link to /disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=page](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=page) page _object_

Details the page that's returned.

+Show 2 properties

[link to /disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=_embedded](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=_embedded)\_embedded _object_

+Show property

[link to /disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=_links](https://docs.finix.com/api/disputes/listdisputes#disputes/listdisputes/t=response&c=200&path=_links)\_links _object_

+Show 2 properties

Response

1. 200
2. 401
3. 403
4. 406
5. 422

application/json

```
{
  "_embedded": {
    "disputes": [ … ]
  },
  "_links": {
    "self": { … },
    "next": { … }
  },
  "page": {
    "limit": 100,
    "next_cursor": "DIs7yQRkHDdMYhurzYz72SFk"
  }
}
```

#### Was this helpful?

## [link to Fetch a Dispute](https://docs.finix.com/api/disputes/getdispute) Fetch a Dispute

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/disputes/getdispute.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Fgetdispute.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Fgetdispute.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /disputes/getdispute\#disputes/getdispute/request](https://docs.finix.com/api/disputes/getdispute\#disputes/getdispute/request) Request

Retrieve the details of an existing `Dispute`.

SecurityView security details

BasicAuth

[link to /disputes/getdispute#disputes/getdispute/request/path](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/request/path) Path

[link to /disputes/getdispute#disputes/getdispute/t=request&in=path&path=dispute_id](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=request&in=path&path=dispute_id) dispute\_id _string_ required

The ID of `Dispute`.

Example: DIgDv9764vkkEVu1suZNCDbR

[link to /disputes/getdispute#disputes/getdispute/request/header](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/request/header) Headers

[link to /disputes/getdispute#disputes/getdispute/t=request&in=header&path=finix-version](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=request&in=header&path=finix-version) Finix-Version _string_

Default 2022-02-01

Example: 2022-02-01

get

/disputes/{dispute\_id}

- Sandbox server
https://finix.sandbox-payments-api.com/disputes/{dispute\_id}

cURL

```
curl -i -X GET \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR \
  -H 'Finix-Version: 2022-02-01'
```

#### [link to /disputes/getdispute\#disputes/getdispute/response&c=200](https://docs.finix.com/api/disputes/getdispute\#disputes/getdispute/response&c=200) Responses

1. 200
2. 401
3. 403
4. 404
5. 406

Expand all

A single `Dispute`

[link to /disputes/getdispute#disputes/getdispute/response&c=200/headers](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/response&c=200/headers) Headers

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=date](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=date) date _string_

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=finix-apiuser-role](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=finix-apiuser-role) finix-apiuser-role _string_

This response header indicating the role of the user who sent the API request.

Enum"ROLE\_PLATFORM""ROLE\_PARTNER""ROLE\_MERCHANT"

Example: "ROLE\_PARTNER"

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=x-request-id](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=x-request-id) x-request-id _string_

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

[link to /disputes/getdispute#disputes/getdispute/response&c=200/body](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/response&c=200/body) Bodyapplication/json

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=id](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=id) id _string_ _non-empty_

The ID of the resource.

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=created_at](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=created_at) created\_at _string_ _(date-time)_

Timestamp of when the object was created.

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=updated_at](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=updated_at) updated\_at _string_ _(date-time)_

Timestamp of when the object was last updated.

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=action](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=action) action _string or null_

The next `action` required to move forward with the `Dispute`.

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=amount](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=amount) amount _integer or null_

The total amount of the `Dispute` (in cents).

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=application](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=application) application _string_ _non-empty_

ID of the `Application` the resource was created under.

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=dispute_details](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=dispute_details) dispute\_details _object_

Details about the `Dispute` received by the processor. Any data from the processor can get included.

+Show 3 properties

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=evidence_submitted](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=evidence_submitted) evidence\_submitted _string_

The status of the uploaded evidence after it has been submitted to the issuing bank. This field reflects how the `Dispute` is moving forward following the [submission of dispute evidence](https://docs.finix.com/api/disputes/submitdisputeevidence). For more information on challenging a `Dispute`, see [Responding to Disputes](https://docs.finix.com/guides/after-the-payment/disputes/responding-to-disputes).

Possible values are:

- `INQUIRY`: Updated to this value if `Dispute#state` is `INQUIRY` at the time of submission.
- `CHARGEBACK`: Updated to this value if `Dispute#state` is `PENDING` at the time of submission.
- `NONE`: No evidence has been uploaded or submitted yet.
- `NOT_SUPPORTED`: The processor or dispute type (`Dispute#reason`) does not support evidence submission.
- `UNKNOWN`: Occurs if evidence details couldn't be successfully processed or retrieved.

Enum"INQUIRY""CHARGEBACK""NONE""NOT\_SUPPORTED""UNKNOWN"

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=identity](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=identity) identity _string_

The ID of the seller's `Identity` resource. This is the `Identity` resource that was used to create the seller's `Merchant`.

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=merchant](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=merchant) merchant _string_

The ID of the seller's `Merchant` resource. This is the `Merchant` account the `Dispute` was filed against.

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=message](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=message) message _string or null_

Additional dispute details. This field is typically `null`.

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=occurred_at](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=occurred_at) occurred\_at _string or null_ _(date-time)_

A timestamp of when the disputed `Transfer` was created.

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=reason](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=reason) reason _string_

The system-defined reason for the `Dispute`. Available values include:

- `CLERICAL`: An error occurred while processing the sale, or the cardholder has an issue with the transaction and refuses the goods.
- `FRAUD`: The cardholder claims they didn't approve or authorize the transaction. `FRAUD` is the primary reason disputes get created.
- `INQUIRY`: The issuing bank requests more information to determine if a transaction was legitimate.
- `QUALITY`: The cardholder has issues with the quality of the goods or services received. Reasons can include receiving damaged goods or a service that doesn't match what's promised.
- `TECHNICAL`: A technical issued caused the transaction to process funds incorrectly.

Enum"CLERICAL""FRAUD""INQUIRY""QUALITY""TECHNICAL"

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=respond_by](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=respond_by) respond\_by _string or null_ _(date-time)_

A timestamp of when the `Merchant` must respond to the `Dispute`.

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=response_state](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=response_state) response\_state _string_

Details the state of the `Dispute` and what action the `Merchant` needs to take. Possible values are:

- `NEEDS_RESPONSE`: The `Merchant` needs to respond to the `Dispute` by the `Dispute#respond_by` timestamp. For details on how to respond to a `Dispute`, see [Responding to Disputes](https://docs.finix.com/guides/after-the-payment/disputes/responding-to-disputes).
- `RESPONDED`: The issuing bank has received the evidence and actively reviewing it. No action needed from the `Merchant`.
- `ACCEPTED`: The `Merchant` has accepted the `Dispute`. When a `Dispute` is accepted, you concede that the `Dispute` is not worth challenging or representing. For details on how to accept a `Dispute`, see [Accepting a Dispute](https://docs.finix.com/guides/after-the-payment/disputes/accepting-disputes/).
- `NO_RESPONSE_ALLOWED`: The final `Dispute#response_state` when a `Dispute` is either `WON` or `LOST`.
- `UNKNOWN`: Occurs when testing `Disputes` in the sandbox on the `DUMMY_V1` processor or in production on the `VANTIV_V1` processor.

Enum"NEEDS\_RESPONSE""RESPONDED""ACCEPTED""NO\_RESPONSE\_ALLOWED""UNKNOWN"

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=state](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=state) state _string_

The current overall state of the `Dispute`. Disputes are initially created with a `PENDING` state. The decision of the issuing bank is final for all parties. Possible values include:

- `INQUIRY`: The `Dispute` is being reviewed by the buyer's issuing bank. No changes can be made while in this state. If a `Dispute` reaches this state, the bank is requesting additional information from the seller to prove the transaction was legitimate.
- `PENDING`: The default initial state of a `Dispute`. It also acts as a transitional state after an accept request is submitted. The state will eventually change based on the transaction type:
  - For a dispute on a **sale**: Changes to `LOST` when accepted.
  - For a dispute on a **refund**: Changes to `WON` when accepted.
- `LOST`: The `Dispute` is lost, and the cardholder keeps the credit. No further changes can be made.
- `WON`: The `Dispute` is won, the credit is reversed, and funds are returned to the `Merchant`. No further changes can be made. For more details, see [Dispute States](https://docs.finix.com/guides/after-the-payment/disputes/dispute-states).

Enum"INQUIRY""PENDING""LOST""WON"

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=transfer](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=transfer) transfer _string_

ID of the `Transfer` resource.

Example: "TRxxxxxxxxxxxxxxxxxx"

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=tags](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=tags) tags _object or null_

Include up to 50 `key: value` pairs to annotate requests with custom metadata.

- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500. (For example, `order_number: 25`, `item_type: produce`, `department: sales`)

+Show property

[link to /disputes/getdispute#disputes/getdispute/t=response&c=200&path=_links](https://docs.finix.com/api/disputes/getdispute#disputes/getdispute/t=response&c=200&path=_links)\_links _object_

For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these `_links` to make your follow-up requests and quickly access relevant IDs.

+Show 5 properties

Response

1. 200
2. 401
3. 403
4. 404
5. 406

application/json

Dispute - Needs Response

- Dispute - Needs Response
- Dispute - Inquiry
- Dispute - Chargeback
- Dispute - Accepted
- Dispute - Won
- Dispute - Lost

```
{
  "id": "DIsJSXxf9orZiXwXCmYqSkrK",
  "created_at": "2026-01-13T23:40:05.42Z",
  "updated_at": "2026-01-13T23:40:04.96Z",
  "action": null,
  "amount": 888888,
  "application": "AP2Qy1RtSVmnwEgaJdkvNHSH",
  "dispute_details": {
    "arn": "123"
  },
  "evidence_submitted": "NONE",
  "identity": "ID23N5qMQFtUikjEmyc1mUiA",
  "merchant": "MUesoo7UHGDjwjgKDvx5FNz6",
  "message": null,
  "occurred_at": "2026-01-13T23:39:08.51Z",
  "reason": "FRAUD",
  "respond_by": "2026-01-20T23:40:05.41Z",
  "response_state": "NEEDS_RESPONSE",
  "state": "PENDING",
  "tags": {
    "agencyId": "g9qGjOfW5wFm8WwmdUUK6",
    "transactionId": "31c82116-23f4-4ead-9297-3516a2bbea82"
  },
  "transfer": "TR5gUxtLvZ3zFrTEN1hHkaN4",
  "_links": {
    "self": { … },
    "application": { … },
    "transfer": { … },
    "evidence": { … },
    "adjustment_transfers": { … }
  }
}
```

#### Was this helpful?

## [link to Update Dispute](https://docs.finix.com/api/disputes/updatedispute) Update Dispute

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/disputes/updatedispute.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Fupdatedispute.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Fupdatedispute.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /disputes/updatedispute\#disputes/updatedispute/request](https://docs.finix.com/api/disputes/updatedispute\#disputes/updatedispute/request) RequestExpand all

Update `tags` on a `Dispute`.

SecurityView security details

BasicAuth

[link to /disputes/updatedispute#disputes/updatedispute/request/path](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/request/path) Path

[link to /disputes/updatedispute#disputes/updatedispute/t=request&in=path&path=dispute_id](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=request&in=path&path=dispute_id) dispute\_id _string_ required

The ID of `Dispute`.

Example: DIgDv9764vkkEVu1suZNCDbR

[link to /disputes/updatedispute#disputes/updatedispute/request/body](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/request/body) Bodyapplication/jsonrequired

[link to /disputes/updatedispute#disputes/updatedispute/t=request&path=tags](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=request&path=tags) tags _object or null_

Include up to 50 `key: value` pairs to annotate requests with custom metadata.

+Show property

put

/disputes/{dispute\_id}

- Sandbox server
https://finix.sandbox-payments-api.com/disputes/{dispute\_id}

cURL

```
curl -i -X PUT \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR \
  -H 'Content-Type: application/json' \
  -d '{
    "tags": {
      "order_number": "41BFASJSAKAS"
    }
  }'
```

#### [link to /disputes/updatedispute\#disputes/updatedispute/response&c=200](https://docs.finix.com/api/disputes/updatedispute\#disputes/updatedispute/response&c=200) Responses

1. 200
2. 400
3. 401
4. 403
5. 404
6. 406

Expand all

A single `Dispute`

[link to /disputes/updatedispute#disputes/updatedispute/response&c=200/headers](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/response&c=200/headers) Headers

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=date](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=date) date _string_

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=finix-apiuser-role](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=finix-apiuser-role) finix-apiuser-role _string_

This response header indicating the role of the user who sent the API request.

Enum"ROLE\_PLATFORM""ROLE\_PARTNER""ROLE\_MERCHANT"

Example: "ROLE\_PARTNER"

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=x-request-id](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=x-request-id) x-request-id _string_

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

[link to /disputes/updatedispute#disputes/updatedispute/response&c=200/body](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/response&c=200/body) Bodyapplication/json

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=id](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=id) id _string_ _non-empty_

The ID of the resource.

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=created_at](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=created_at) created\_at _string_ _(date-time)_

Timestamp of when the object was created.

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=updated_at](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=updated_at) updated\_at _string_ _(date-time)_

Timestamp of when the object was last updated.

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=action](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=action) action _string or null_

The next `action` required to move forward with the `Dispute`.

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=amount](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=amount) amount _integer or null_

The total amount of the `Dispute` (in cents).

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=application](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=application) application _string_ _non-empty_

ID of the `Application` the resource was created under.

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=dispute_details](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=dispute_details) dispute\_details _object_

Details about the `Dispute` received by the processor. Any data from the processor can get included.

+Show 3 properties

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=evidence_submitted](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=evidence_submitted) evidence\_submitted _string_

Possible values are:

Enum"INQUIRY""CHARGEBACK""NONE""NOT\_SUPPORTED""UNKNOWN"

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=identity](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=identity) identity _string_

The ID of the seller's `Identity` resource. This is the `Identity` resource that was used to create the seller's `Merchant`.

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=merchant](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=merchant) merchant _string_

The ID of the seller's `Merchant` resource. This is the `Merchant` account the `Dispute` was filed against.

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=message](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=message) message _string or null_

Additional dispute details. This field is typically `null`.

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=occurred_at](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=occurred_at) occurred\_at _string or null_ _(date-time)_

A timestamp of when the disputed `Transfer` was created.

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=reason](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=reason) reason _string_

The system-defined reason for the `Dispute`. Available values include:

Enum"CLERICAL""FRAUD""INQUIRY""QUALITY""TECHNICAL"

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=respond_by](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=respond_by) respond\_by _string or null_ _(date-time)_

A timestamp of when the `Merchant` must respond to the `Dispute`.

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=response_state](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=response_state) response\_state _string_

Details the state of the `Dispute` and what action the `Merchant` needs to take. Possible values are:

Enum"NEEDS\_RESPONSE""RESPONDED""ACCEPTED""NO\_RESPONSE\_ALLOWED""UNKNOWN"

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=state](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=state) state _string_

Enum"INQUIRY""PENDING""LOST""WON"

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=transfer](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=transfer) transfer _string_

ID of the `Transfer` resource.

Example: "TRxxxxxxxxxxxxxxxxxx"

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=tags](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=tags) tags _object or null_

Include up to 50 `key: value` pairs to annotate requests with custom metadata.

+Show property

[link to /disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=_links](https://docs.finix.com/api/disputes/updatedispute#disputes/updatedispute/t=response&c=200&path=_links)\_links _object_

+Show 5 properties

Response

1. 200
2. 400
3. 401
4. 403
5. 404
6. 406

application/json

Dispute - Needs Response

- Dispute - Needs Response
- Dispute - Inquiry
- Dispute - Chargeback
- Dispute - Accepted
- Dispute - Won
- Dispute - Lost

#### Was this helpful?

## [link to Upload Files as Dispute Evidence](https://docs.finix.com/api/disputes/createdisputeevidence) Upload Files as Dispute Evidence

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/disputes/createdisputeevidence.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Fcreatedisputeevidence.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Fcreatedisputeevidence.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /disputes/createdisputeevidence\#disputes/createdisputeevidence/request](https://docs.finix.com/api/disputes/createdisputeevidence\#disputes/createdisputeevidence/request) Request

Upload a file as evidence for a `Dispute`.

- You can upload up to 8 files; the total size of the uploaded files combined cannot exceed 10 MB.
- The allowed file formats include JPEG, PDF, PNG.
- Individual JPEG, PDF, PNG files can't exceed 1 MB.
- PNG files will be automatically converted and returned as JPEG files.

SecurityView security details

BasicAuth

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/request/path](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/request/path) Path

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=request&in=path&path=dispute_id](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=request&in=path&path=dispute_id) dispute\_id _string_ required

The ID of `Dispute`.

Example: DIgDv9764vkkEVu1suZNCDbR

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/request/header](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/request/header) Headers

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=request&in=header&path=finix-version](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=request&in=header&path=finix-version) Finix-Version _string_

Default 2022-02-01

Example: 2022-02-01

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=request&in=header&path=content-type](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=request&in=header&path=content-type) Content-Type _string_

The data type being sent in the request body must be `application/json`.

Example: application/json

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/request/body](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/request/body) Bodymultipart/form-datarequired

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=request&path=file](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=request&path=file) file _string_ _(binary)_

The binary contents of the file.

Example: "@evidence.jpeg"

post

/disputes/{dispute\_id}/evidence

- Sandbox server
https://finix.sandbox-payments-api.com/disputes/{dispute\_id}/evidence

cURL

```
curl -i -X POST \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/evidence \
  -H 'Content-Type: multipart/form-data' \
  -H 'Finix-Version: 2022-02-01' \
  -F file=@evidence.jpeg
```

#### [link to /disputes/createdisputeevidence\#disputes/createdisputeevidence/response&c=201](https://docs.finix.com/api/disputes/createdisputeevidence\#disputes/createdisputeevidence/response&c=201) Responses

1. 201
2. 400
3. 401
4. 403
5. 406

Expand all

A single `Dispute Evidence` resource

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/response&c=201/headers](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/response&c=201/headers) Headers

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=date](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=date) date _string_

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=finix-apiuser-role](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=finix-apiuser-role) finix-apiuser-role _string_

This response header indicating the role of the user who sent the API request.

Enum"ROLE\_PLATFORM""ROLE\_PARTNER""ROLE\_MERCHANT"

Example: "ROLE\_PARTNER"

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=x-request-id](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=x-request-id) x-request-id _string_

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/response&c=201/body](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/response&c=201/body) Bodyapplication/json

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=id](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=id) id _string_ _non-empty_

The ID of the resource.

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=created_at](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=created_at) created\_at _string_ _(date-time)_

Timestamp of when the object was created.

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=updated_at](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=updated_at) updated\_at _string_ _(date-time)_

Timestamp of when the object was last updated.

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=application](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=application) application _string_ _non-empty_

ID of the `Application` the resource was created under.

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=dispute](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=dispute) dispute _string_

The ID of the `Dispute` associated with the evidence.

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=state](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=state) state _string_

The result after uploading evidence.

- `PENDING`: The evidence file has not yet been submitted to the processor. No user action is required.
- `SUCCEEDED`: The evidence file has been successfully sent to the processor. No further user action is required.
- `CANCELED`: The evidence file upload was not completed due to user action.
- `FAILED`: The evidence file could not be processed. Check `failure_code` for the specific reason and `failure_message` for a user-safe description of the issue.

Enum"PENDING""SUCCEEDED""CANCELED""FAILED"

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=failure_code](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=failure_code) failure\_code _string or null_

The reason the evidence file failed processing. Populated when `state` is `FAILED`; `null` otherwise.

- `MALWARE_DETECTED`: The file was flagged for suspicious content and cannot be accepted.
- `GENERIC_FAILURE`: An unexpected error occurred. Contact support for details.
- `FILE_SIZE_LIMIT_EXCEEDED`: The file exceeds the maximum allowed file size.
- `TOTAL_COMBINED_FILE_SIZE_LIMIT_EXCEEDED`: The total size of all uploaded evidence exceeds the maximum combined file size limit.
- `TOTAL_PAGE_COUNT_LIMIT_EXCEEDED`: The total number of pages across all uploaded evidence exceeds the maximum allowed page count.

Enum"MALWARE\_DETECTED""GENERIC\_FAILURE""FILE\_SIZE\_LIMIT\_EXCEEDED""TOTAL\_COMBINED\_FILE\_SIZE\_LIMIT\_EXCEEDED""TOTAL\_PAGE\_COUNT\_LIMIT\_EXCEEDED"

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=failure_message](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=failure_message) failure\_message _string or null_

A human-readable message explaining why the evidence file failed processing. Populated when `state` is `FAILED`; `null` otherwise. Safe to surface directly in a UI.

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=identity](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=identity) identity _string_

The ID of the seller's `Identity` resource. This is the `Identity` resource that was used to create the seller's `Merchant`.

Example: "IDpYDM7J9n57q849o9E9yNrG"

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=merchant](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=merchant) merchant _string_

The ID of the seller's `Merchant` resource. This is the `Merchant` account the `Dispute` was filed against.

Example: "MUucec6fHeaWo3VHYoSkUySM"

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=content_type](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=content_type) content\_type _string_

The MIME type of the uploaded evidence file (e.g. `application/pdf`, `image/jpeg`).

Example: "application/pdf"

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=extension](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=extension) extension _string_

The file extension, a suffix at the end of a `file_name` (letters following last period).

Example: "pdf"

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=file_name](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=file_name) file\_name _string_

The name of the uploaded evidence file.

Example: "evidence.pdf"

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=tags](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=tags) tags _object or null_

Include up to 50 `key: value` pairs to annotate requests with custom metadata.

+Show property

[link to /disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=_links](https://docs.finix.com/api/disputes/createdisputeevidence#disputes/createdisputeevidence/t=response&c=201&path=_links)\_links _object_

+Show property

Response

1. 201
2. 400
3. 401
4. 403
5. 406

application/json

```
{
  "id": "DFvJbk7HS3p1LEoQpViJJSCB",
  "created_at": "2024-12-17T07:35:17.32Z",
  "updated_at": "2024-12-17T07:35:17.32Z",
  "application": "APgPDQrLD52TYvqazjHJJchM",
  "content_type": "image/jpeg",
  "dispute": "DIkigGVrJPjDyAXejvvKXv9e",
  "extension": "jpg",
  "file_name": "evidence.jpg",
  "identity": "ID4sanuCPqjmkmP4Q3Shkvww",
  "merchant": "MUcvYR7tboSRejbVzHJSjXct",
  "state": "PENDING",
  "failure_code": null,
  "failure_message": null,
  "tags": {
    "file-extension": ".jpg",
    "content-type": "image/jpeg",
    "file-name": "evidence.jpg"
  },
  "_links": {
    "self": { … }
  }
}
```

#### Was this helpful?

## [link to List Dispute Evidence](https://docs.finix.com/api/disputes/listdisputesevidence) List Dispute Evidence

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/disputes/listdisputesevidence.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Flistdisputesevidence.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Flistdisputesevidence.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /disputes/listdisputesevidence\#disputes/listdisputesevidence/request](https://docs.finix.com/api/disputes/listdisputesevidence\#disputes/listdisputesevidence/request) Request

Retrieve a list of `Dispute Evidence` for a `Dispute`.

SecurityView security details

BasicAuth

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/request/path](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/request/path) Path

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=path&path=dispute_id](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=path&path=dispute_id) dispute\_id _string_ required

The ID of `Dispute`.

Example:DIgDv9764vkkEVu1suZNCDbR

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/request/query](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/request/query) Query

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=after_cursor](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=after_cursor) after\_cursor _string_

Return every resource created after the cursor value.

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=before_cursor](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=before_cursor) before\_cursor _string_

Return every resource created before the cursor value.

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=created_at.gte](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=created_at.gte) created\_at.gte _string_ _(date-time)_

Filter where `created_at` is after the given date.

Example:created\_at.gte=2022-09-27T11:21:23

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=created_at.lte](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=created_at.lte) created\_at.lte _string_ _(date-time)_

Filter where `created_at` is before the given date.

Example:created\_at.lte=2026-09-27T11:21:23

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=limit](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=limit) limit _integer_ _<= 100_

The numbers of items to return.

Example:limit=10

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=tags.key](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=tags.key) tags.key _string_

Filter by the tag's key. For more information, see [Tags](https://docs.finix.com/api/section/tags).

Example:tags.key=card\_type

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=tags.value](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=tags.value) tags.value _string_

Filter by the tag's value. For more information, see [Tags](https://docs.finix.com/api/section/tags).

Example:tags.value=business\_card

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=updated_at.gte](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=updated_at.gte) updated\_at.gte _string_ _(date-time)_

Filter where `updated_at` is after the given date.

Example:updated\_at.gte=2022-09-27T11:21:23

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=updated_at.lte](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=query&path=updated_at.lte) updated\_at.lte _string_ _(date-time)_

Filter where `updated_at` is before the given date.

Example:updated\_at.lte=2026-09-27T11:21:23

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/request/header](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/request/header) Headers

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=header&path=finix-version](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=request&in=header&path=finix-version) Finix-Version _string_

Default2022-02-01

Example:2022-02-01

get

/disputes/{dispute\_id}/evidence

- Sandbox server
https://finix.sandbox-payments-api.com/disputes/{dispute\_id}/evidence

curl

```
curl "https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/evidence" \
-H "Finix-Version: 2022-02-01" \
-u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda
```

#### [link to /disputes/listdisputesevidence\#disputes/listdisputesevidence/response&c=200](https://docs.finix.com/api/disputes/listdisputesevidence\#disputes/listdisputesevidence/response&c=200) Responses

1. 200
2. 401
3. 403
4. 404
5. 406
6. 422

Expand all

List of `Dispute Evidence` resources

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/response&c=200/headers](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/response&c=200/headers) Headers

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=date](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=date) date _string_

A response header indicating the date and time of the API request.

Example:"Tue, 08 Jul 2025 17:38:01 GMT"

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=finix-apiuser-role](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=finix-apiuser-role) finix-apiuser-role _string_

This response header indicating the role of the user who sent the API request.

Enum"ROLE\_PLATFORM""ROLE\_PARTNER""ROLE\_MERCHANT"

Example:"ROLE\_PARTNER"

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=x-request-id](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=x-request-id) x-request-id _string_

This response header provides a unique identifier for the API request.

Example:"055972f6534f92a896fbb61b11313ebb"

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/response&c=200/body](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/response&c=200/body) Bodyapplication/json

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=page](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=page) page _object_

Details the page that's returned.

+Show 2 properties

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=_embedded](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=_embedded)\_embedded _object_

+Show property

[link to /disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=_links](https://docs.finix.com/api/disputes/listdisputesevidence#disputes/listdisputesevidence/t=response&c=200&path=_links)\_links _object_

+Show 2 properties

Response

1. 200
2. 401
3. 403
4. 404
5. 406
6. 422

application/json

```
{
  "_embedded": {
    "evidences": [ … ]
  },
  "_links": {
    "self": { … },
    "next": { … }
  },
  "page": {
    "limit": 100,
    "next_cursor": "DFdEdexaPHqyVnwiNvfdx7az"
  }
}
```

#### Was this helpful?

## [link to Fetch Dispute Evidence](https://docs.finix.com/api/disputes/getdisputeevidence) Fetch Dispute Evidence

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/disputes/getdisputeevidence.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Fgetdisputeevidence.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Fgetdisputeevidence.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /disputes/getdisputeevidence\#disputes/getdisputeevidence/request](https://docs.finix.com/api/disputes/getdisputeevidence\#disputes/getdisputeevidence/request) Request

Fetch evidence uploaded for a `Dispute`.

If the Finix Dashboard is unavailable, you can fetch the evidence to review the upload `state` and confirm it was sent to the processor.

SecurityView security details

BasicAuth

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/request/path](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/request/path) Path

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=request&in=path&path=dispute_id](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=request&in=path&path=dispute_id) dispute\_id _string_ required

The ID of `Dispute` to fetch evidence for.

Example:DIgDv9764vkkEVu1suZNCDbR

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=request&in=path&path=evidence_id](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=request&in=path&path=evidence_id) evidence\_id _string_ required

The ID of `Dispute Evidence` to fetch.

Example:DFet8gXGsH4kXmDWdLhHoKco

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/request/header](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/request/header) Headers

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=request&in=header&path=finix-version](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=request&in=header&path=finix-version) Finix-Version _string_

Default2022-02-01

Example:2022-02-01

get

/disputes/{dispute\_id}/evidence/{evidence\_id}

- Sandbox server
https://finix.sandbox-payments-api.com/disputes/{dispute\_id}/evidence/{evidence\_id}

cURL

```
curl -i -X GET \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/evidence/DFet8gXGsH4kXmDWdLhHoKco \
  -H 'Finix-Version: 2022-02-01'
```

#### [link to /disputes/getdisputeevidence\#disputes/getdisputeevidence/response&c=200](https://docs.finix.com/api/disputes/getdisputeevidence\#disputes/getdisputeevidence/response&c=200) Responses

1. 200
2. 401
3. 403
4. 404
5. 406

Expand all

A single `Dispute Evidence` resource

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/response&c=200/headers](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/response&c=200/headers) Headers

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=date](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=date) date _string_

A response header indicating the date and time of the API request.

Example:"Tue, 08 Jul 2025 17:38:01 GMT"

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=finix-apiuser-role](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=finix-apiuser-role) finix-apiuser-role _string_

This response header indicating the role of the user who sent the API request.

Enum"ROLE\_PLATFORM""ROLE\_PARTNER""ROLE\_MERCHANT"

Example:"ROLE\_PARTNER"

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=x-request-id](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=x-request-id) x-request-id _string_

This response header provides a unique identifier for the API request.

Example:"055972f6534f92a896fbb61b11313ebb"

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/response&c=200/body](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/response&c=200/body) Bodyapplication/json

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=id](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=id) id _string_ _non-empty_

The ID of the resource.

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=created_at](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=created_at) created\_at _string_ _(date-time)_

Timestamp of when the object was created.

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=updated_at](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=updated_at) updated\_at _string_ _(date-time)_

Timestamp of when the object was last updated.

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=application](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=application) application _string_ _non-empty_

ID of the `Application` the resource was created under.

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=dispute](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=dispute) dispute _string_

The ID of the `Dispute` associated with the evidence.

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=state](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=state) state _string_

The result after uploading evidence.

Enum"PENDING""SUCCEEDED""CANCELED""FAILED"

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=failure_code](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=failure_code) failure\_code _string or null_

The reason the evidence file failed processing. Populated when `state` is `FAILED`; `null` otherwise.

Enum"MALWARE\_DETECTED""GENERIC\_FAILURE""FILE\_SIZE\_LIMIT\_EXCEEDED""TOTAL\_COMBINED\_FILE\_SIZE\_LIMIT\_EXCEEDED""TOTAL\_PAGE\_COUNT\_LIMIT\_EXCEEDED"

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=failure_message](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=failure_message) failure\_message _string or null_

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=identity](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=identity) identity _string_

The ID of the seller's `Identity` resource. This is the `Identity` resource that was used to create the seller's `Merchant`.

Example:"IDpYDM7J9n57q849o9E9yNrG"

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=merchant](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=merchant) merchant _string_

The ID of the seller's `Merchant` resource. This is the `Merchant` account the `Dispute` was filed against.

Example:"MUucec6fHeaWo3VHYoSkUySM"

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=content_type](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=content_type) content\_type _string_

The MIME type of the uploaded evidence file (e.g. `application/pdf`, `image/jpeg`).

Example:"application/pdf"

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=extension](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=extension) extension _string_

The file extension, a suffix at the end of a `file_name` (letters following last period).

Example:"pdf"

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=file_name](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=file_name) file\_name _string_

The name of the uploaded evidence file.

Example:"evidence.pdf"

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=tags](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=tags) tags _object or null_

Include up to 50 `key: value` pairs to annotate requests with custom metadata.

- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500.(For example, `order_number: 25`, `item_type: produce`, `department: sales`)

+Show property

[link to /disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=_links](https://docs.finix.com/api/disputes/getdisputeevidence#disputes/getdisputeevidence/t=response&c=200&path=_links)\_links _object_

+Show property

Response

1. 200
2. 401
3. 403
4. 404
5. 406

application/json

#### Was this helpful?

## [link to Update Dispute Evidence](https://docs.finix.com/api/disputes/updatedisputeevidence) Update Dispute Evidence

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/disputes/updatedisputeevidence.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Fupdatedisputeevidence.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Fupdatedisputeevidence.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /disputes/updatedisputeevidence\#disputes/updatedisputeevidence/request](https://docs.finix.com/api/disputes/updatedisputeevidence\#disputes/updatedisputeevidence/request) RequestExpand all

Update `tags` on `Dispute Evidence`.

SecurityView security details

BasicAuth

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/request/path](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/request/path) Path

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=request&in=path&path=dispute_id](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=request&in=path&path=dispute_id) dispute\_id _string_ required

The ID of `Dispute` to fetch evidence for.

Example:DIgDv9764vkkEVu1suZNCDbR

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=request&in=path&path=evidence_id](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=request&in=path&path=evidence_id) evidence\_id _string_ required

The ID of `Dispute Evidence` to fetch.

Example:DFet8gXGsH4kXmDWdLhHoKco

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/request/body](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/request/body) Bodyapplication/jsonrequired

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=request&path=tags](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=request&path=tags) tags _object or null_

Include up to 50 `key: value` pairs to annotate requests with custom metadata.

+Show property

put

/disputes/{dispute\_id}/evidence/{evidence\_id}

- Sandbox server
https://finix.sandbox-payments-api.com/disputes/{dispute\_id}/evidence/{evidence\_id}

cURL

```
curl -i -X PUT \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/evidence/DFet8gXGsH4kXmDWdLhHoKco \
  -H 'Content-Type: application/json' \
  -d '{
    "tags": {
      "content-type": "image/jpeg",
      "file-extension": ".jpg",
      "file-name": "evidence.jpg"
    }
  }'
```

#### [link to /disputes/updatedisputeevidence\#disputes/updatedisputeevidence/response&c=200](https://docs.finix.com/api/disputes/updatedisputeevidence\#disputes/updatedisputeevidence/response&c=200) Responses

1. 200
2. 400
3. 401
4. 403
5. 404
6. 406

Expand all

A single `Dispute`

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/response&c=200/headers](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/response&c=200/headers) Headers

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=date](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=date) date _string_

A response header indicating the date and time of the API request.

Example:"Tue, 08 Jul 2025 17:38:01 GMT"

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=finix-apiuser-role](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=finix-apiuser-role) finix-apiuser-role _string_

This response header indicating the role of the user who sent the API request.

Enum"ROLE\_PLATFORM""ROLE\_PARTNER""ROLE\_MERCHANT"

Example:"ROLE\_PARTNER"

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=x-request-id](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=x-request-id) x-request-id _string_

This response header provides a unique identifier for the API request.

Example:"055972f6534f92a896fbb61b11313ebb"

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/response&c=200/body](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/response&c=200/body) Bodyapplication/json

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=id](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=id) id _string_ _non-empty_

The ID of the resource.

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=created_at](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=created_at) created\_at _string_ _(date-time)_

Timestamp of when the object was created.

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=updated_at](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=updated_at) updated\_at _string_ _(date-time)_

Timestamp of when the object was last updated.

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=application](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=application) application _string_ _non-empty_

ID of the `Application` the resource was created under.

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=dispute](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=dispute) dispute _string_

The ID of the `Dispute` associated with the evidence.

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=state](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=state) state _string_

The result after uploading evidence.

Enum"PENDING""SUCCEEDED""CANCELED""FAILED"

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=failure_code](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=failure_code) failure\_code _string or null_

The reason the evidence file failed processing. Populated when `state` is `FAILED`; `null` otherwise.

Enum"MALWARE\_DETECTED""GENERIC\_FAILURE""FILE\_SIZE\_LIMIT\_EXCEEDED""TOTAL\_COMBINED\_FILE\_SIZE\_LIMIT\_EXCEEDED""TOTAL\_PAGE\_COUNT\_LIMIT\_EXCEEDED"

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=failure_message](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=failure_message) failure\_message _string or null_

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=identity](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=identity) identity _string_

The ID of the seller's `Identity` resource. This is the `Identity` resource that was used to create the seller's `Merchant`.

Example:"IDpYDM7J9n57q849o9E9yNrG"

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=merchant](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=merchant) merchant _string_

The ID of the seller's `Merchant` resource. This is the `Merchant` account the `Dispute` was filed against.

Example:"MUucec6fHeaWo3VHYoSkUySM"

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=content_type](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=content_type) content\_type _string_

The MIME type of the uploaded evidence file (e.g. `application/pdf`, `image/jpeg`).

Example:"application/pdf"

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=extension](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=extension) extension _string_

The file extension, a suffix at the end of a `file_name` (letters following last period).

Example:"pdf"

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=file_name](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=file_name) file\_name _string_

The name of the uploaded evidence file.

Example:"evidence.pdf"

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=tags](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=tags) tags _object or null_

Include up to 50 `key: value` pairs to annotate requests with custom metadata.

+Show property

[link to /disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=_links](https://docs.finix.com/api/disputes/updatedisputeevidence#disputes/updatedisputeevidence/t=response&c=200&path=_links)\_links _object_

+Show property

Response

1. 200
2. 400
3. 401
4. 403
5. 404
6. 406

application/json

#### Was this helpful?

## [link to Delete Dispute Evidence](https://docs.finix.com/api/disputes/deletedisputeevidence) Delete Dispute Evidence

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/disputes/deletedisputeevidence.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Fdeletedisputeevidence.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Fdeletedisputeevidence.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /disputes/deletedisputeevidence\#disputes/deletedisputeevidence/request](https://docs.finix.com/api/disputes/deletedisputeevidence\#disputes/deletedisputeevidence/request) Request

Delete a `Dispute Evidence` file. You can delete evidence files only before a `Dispute` and its uploaded evidence are submitted for the first time, and only on `FINIX_V1` or `DUMMY_V1`.

SecurityView security details

BasicAuth

[link to /disputes/deletedisputeevidence#disputes/deletedisputeevidence/request/path](https://docs.finix.com/api/disputes/deletedisputeevidence#disputes/deletedisputeevidence/request/path) Path

[link to /disputes/deletedisputeevidence#disputes/deletedisputeevidence/t=request&in=path&path=dispute_id](https://docs.finix.com/api/disputes/deletedisputeevidence#disputes/deletedisputeevidence/t=request&in=path&path=dispute_id) dispute\_id _string_ required

The ID of `Dispute` to fetch evidence for.

Example: DIgDv9764vkkEVu1suZNCDbR

[link to /disputes/deletedisputeevidence#disputes/deletedisputeevidence/t=request&in=path&path=evidence_id](https://docs.finix.com/api/disputes/deletedisputeevidence#disputes/deletedisputeevidence/t=request&in=path&path=evidence_id) evidence\_id _string_ required

The ID of `Dispute Evidence` to fetch.

Example: DFet8gXGsH4kXmDWdLhHoKco

[link to /disputes/deletedisputeevidence#disputes/deletedisputeevidence/request/header](https://docs.finix.com/api/disputes/deletedisputeevidence#disputes/deletedisputeevidence/request/header) Headers

[link to /disputes/deletedisputeevidence#disputes/deletedisputeevidence/t=request&in=header&path=finix-version](https://docs.finix.com/api/disputes/deletedisputeevidence#disputes/deletedisputeevidence/t=request&in=header&path=finix-version) Finix-Version _string_

Default 2022-02-01

Example: 2022-02-01

delete

/disputes/{dispute\_id}/evidence/{evidence\_id}

- Sandbox server
https://finix.sandbox-payments-api.com/disputes/{dispute\_id}/evidence/{evidence\_id}

cURL

```
curl -i -X DELETE \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/disputes/DIgDv9764vkkEVu1suZNCDbR/evidence/DFet8gXGsH4kXmDWdLhHoKco \
  -H 'Finix-Version: 2022-02-01'
```

#### [link to /disputes/deletedisputeevidence\#disputes/deletedisputeevidence/response&c=204](https://docs.finix.com/api/disputes/deletedisputeevidence\#disputes/deletedisputeevidence/response&c=204) Responses

1. 204
2. 401
3. 403
4. 404
5. 406
6. 422

Deleted. No resource to return.

Response

1. 204
2. 401
3. 403
4. 404
5. 406
6. 422

```
No content
```

#### Was this helpful?

## [link to List Dispute Adjustment Transfers](https://docs.finix.com/api/disputes/listdisputesadjustments) List Dispute Adjustment Transfers

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/disputes/listdisputesadjustments.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fdisputes%2Flistdisputesadjustments.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
[...]
